System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

A visual designer can use a designer category to inform a development environment of the type of designer that will be implemented. If no designer category is provided on a class, a development environment may or may not allow the class to be designed. A category can be created for any name.

When you mark a class with this attribute, it is set to a constant member. When you want to check the value of this attribute in your code, you must specify the constant member. The Description column in the table below lists the constant member that each value is set to.

The class defines the following common categories:

Category

Description

Component

Designers that are used with components. The attribute is set to the constant member .

Form

Designers that are used with forms. The attribute is set to the constant member .

Designer

Designers that are used with designers. The attribute is set to the constant member .

Empty String ("")

This is the default category.

For more information, see Extending Metadata Using Attributes.

Specifies that the designer for a class belongs to a certain category.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with an empty string ("").

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the given category name.

  The name of the category.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the category.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerCategoryAttribute To be added

  Specifies that a component marked with this category use a component designer. This field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerCategoryAttribute

  This is the default category.

  Specifies that a component marked with this category cannot use a visual designer. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerCategoryAttribute To be added

  Specifies that a component marked with this category use a form designer. This static field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerCategoryAttribute To be added

  Specifies that a component marked with this category use a generic designer. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets a unique identifier for this attribute.